/* WB-tree File Based Associative String Data Base System.
 * Copyright (C) 1991, 1992, 1993, 2000, 2003 Free Software Foundation, Inc.
 * Copyright 2007 Clear Methods, Inc.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this software; see the file COPYING.  If not, write to
 * the Free Software Foundation, 59 Temple Place, Suite 330, Boston, MA
 * 02111, USA.
 *
 * As a special exception, the Free Software Foundation gives permission
 * for additional uses of the text contained in its release of WB.
 *
 * The exception is that, if you link the WB library with other files
 * to produce an executable, this does not by itself cause the
 * resulting executable to be covered by the GNU General Public License.
 * Your use of that executable is in no way restricted on account of
 * linking the WB library code into it.
 *
 * This exception does not however invalidate any other reasons why
 * the executable file might be covered by the GNU General Public License.
 *
 * This exception applies only to the code released by the
 * Free Software Foundation under the name WB.  If you copy
 * code from other Free Software Foundation releases into a copy of
 * WB, as the General Public License permits, the exception does
 * not apply to the code that you add in this way.  To avoid misleading
 * anyone as to the status of such modified files, you must delete
 * this exception notice from them.
 *
 * If you write modifications of your own for WB, it is your choice
 * whether to permit this exception to apply to your modifications.
 * If you do not wish that, delete this exception notice.
 */
package wb;

public class Han {
    public static Han hanMakeHan()
    {
	return new Han();
    }

    //The getter & setter methods follow the same syntax translations as
    //the corresponding methods in Entry.
    public static int han_Id(Han han)
    {
	return han.ID;
    }

    public static int han_Seg(Han han)
    {
	return han.SEG;
    }

    public static int han_Typ(Han han)
    {
	return han.TYP;
    }

    public static int han_Last(Han han)
    {
	return han.LAST;
    }

    public static int han_Wcb(Han han)
    {
	return han.WCB;
    }

    //setter
    public static void han_SetNum(Han han, int num)
    {
	han.ID = num;
    }

    public static void han_SetSeg(Han han, int seg)
    {
	han.SEG = seg;
    }

    public static void han_SetTyp(Han han, int typ)
    {
	han.TYP = typ;
    }

    public static void han_SetLast(Han han, int last)
    {
	han.LAST = last;
    }

    public static void han_SetWcb(Han han, int wcb)
    {
	han.WCB = wcb;
    }

    public int SEG, TYP;
    public int ID, LAST;
    public int WCB, SPARE;

}
